> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a workspace's boards



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json get /workspaces/{workspacePublicId}/boards
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /workspaces/{workspacePublicId}/boards:
    get:
      tags:
        - Boards
      summary: List a workspace's boards
      operationId: getBoards
      parameters:
        - name: workspacePublicId
          required: true
          in: path
          schema:
            type: string
        - name: type
          required: false
          in: query
          schema:
            type: string
            enum:
              - regular
              - template
        - name: archived
          required: false
          in: query
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BoardListItemDto_Output'
      security:
        - bearer: []
components:
  schemas:
    BoardListItemDto_Output:
      type: object
      properties:
        publicId:
          type: string
        name:
          type: string
        favorite:
          type: boolean
        lists:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
              name:
                type: string
              index:
                type: number
            required:
              - publicId
              - name
              - index
            additionalProperties: false
        labels:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
              name:
                type: string
              colourCode:
                type: string
                nullable: true
            required:
              - publicId
              - name
              - colourCode
            additionalProperties: false
      required:
        - publicId
        - name
        - favorite
        - lists
        - labels
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.